Subject: bug#49918: 28.0.50; cd function expands CDPATH incorrectly

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 08 Aug 2021 14:42:46 +0200

Eli Zaretskii <[email-masked]> writes:

> Why does the current implementation of parse-colon-path use
> expand-file-name?  The comment says "to expand "~", but the original
> implementation in Emacs 27 didn't do that.

I should probably have written (etc) after that comment...

> Bug#21454 only wanted to avoid mis-interpreting duplicate slashes in
> the input path, but there's no need to collapse them, so I don't see
> how the call to expand-file-name is at all necessary, and could
> potentially change behavior in unintended ways.  Am I missing
> something?

Tino's tests in files-tests-bug-21454 test explicitly for the duplicate
slash collapsing, so I assumed that was part of the point.  But I may
well be mistaken -- feel free to adjust this some more.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no